import { ref } from 'vue';
import { defineStore } from 'pinia';
import { GridType } from '@/types/camera-group';

export const userGridType = defineStore('userGridType', () => {
  const currentGrid = ref<GridType>(GridType.nineGrids); // 默认九宫格

  const changeGridType = (newGrid: GridType) => {
    currentGrid.value = newGrid;
  };
  return { currentGrid, changeGridType };
});

export default userGridType;
